#include <bits/stdc++.h>

using namespace std;
int b=0;
int jelP(string a){
    for(int i=0;i<a.size();i++){
        if(a[i]!=a[(a.size()-i)-1]){
            b=1;
            break;
        }
    }
    return b;

}
int main()
{
    string a;
    cin>>a;
    vector<char>duz;
    if (jelP(a)==0){
        cout<<'1'<<endl;
    }
    else{
        for(int i=0;i<a.size();i++){
        if(a[i]!=a[(a.size()-i)-1]){
            for(int j=i;j<a.size()-i-1;j++){
                  duz.push_back(a[j]);
                }
                break;
            }
        }
    }
    cout <<duz.size();
    return 0;
}